<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: appleshare.php,v 1.7 2000/08/17 08:54:24 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-appleshare", "/base/appleshare/appleshareHandler.php");

// get object
$appleShare = $cceClient->getObject("System", array(), "AppleShare");

$page = $factory->getPage();

$block = $factory->getPagedBlock("appleshareSettings");

$block->addFormField(
  $factory->getBoolean("enableServerField", $appleShare["enabled"]),
  $factory->getLabel("enableServerField")
);

$block->addFormField(
  $factory->getInteger("maxUserField", $appleShare["maxConnections"], 1, 1024),
  $factory->getLabel("maxUserField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
